.pf-v5-c-button::after {
  border: none;
}

.pf-v5-c-button {
  font-size: 1rem;
  font-weight: 600;
  height: 42px;
  min-height: 2.75rem;
  padding: 0 1.25rem;
  cursor: pointer;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  gap: 0.25rem;
  outline: none;
  position: relative;
  text-transform: none;
  vertical-align: middle;
  border-radius: 0;
  box-shadow: none;
  flex: 1;
}

.pf-v5-c-button.pf-m-block {
  display: inline-flex;
}

.pf-v5-c-button:not(:disabled):focus {
  background-color: var(--color-primary-hover);
  color: var(--color-white);
  border: var(--button-border-width) solid transparent;
  outline: none;
  box-shadow: none;
  text-decoration: none;
}

/* =======================
   Primary Button
   ======================= */

.pf-v5-c-button.pf-v5-c-button-link {
  border: var(--button-border-width) solid transparent;
}

.pf-v5-c-button.pf-m-primary:not(:disabled):not(.pf-m-disabled) {
  background-color: var(--color-primary);
  border: var(--button-border-width) solid var(--color-primary);
  color: var(--color-white);
}

.pf-v5-c-button.pf-v5-c-button-link.pf-m-primary {
  color: var(--color-primary);
  background-color: transparent;
  border-color: transparent;
  text-decoration: underline;
}

.pf-v5-c-button.pf-v5-c-button-link.pf-m-danger {
  color: var(--color-error);
  background-color: transparent;
  border-color: transparent;
  text-decoration: underline;
}

.pf-v5-c-button.pf-v5-c-button-link.pf-m-danger:hover {
  border-color: var(--color-error);
}

.pf-v5-c-button.pf-v5-c-button-link.pf-m-danger:focus-visible {
  border-color: var(--color-error);
}

.pf-v5-c-button.pf-m-primary:not(:disabled):not(.pf-m-disabled):active:hover {
  background-color: transparent;
  color: var(--color-primary);
  border-color: var(--color-primary);
  box-shadow: none;
  text-decoration: none;
}

.pf-v5-c-button.pf-m-primary:not(:disabled):not(.pf-m-disabled):active, .pf-v5-c-button.pf-m-primary:not(:disabled):not(.pf-m-disabled):focus {
    background-color: transparent;
    color: var(--color-primary-hover);
    border-color: var(--color-primary-hover);
    box-shadow: none;
    text-decoration: none;
}

/* =======================
   Secondary Button
   ======================= */

.pf-v5-c-button.pf-m-secondary:not(:disabled):not(.pf-m-disabled) {
  background-color: var(--color-white);
  color: var(--color-primary);
  border: var(--button-border-width) solid var(--color-primary);
}

.pf-v5-c-button.pf-m-secondary:not(:disabled):hover {
    background-color: transparent;
    color: var(--color-white);
    border-color: var(--color-primary);
    box-shadow: none;
    text-decoration: underline;
}

.pf-v5-c-button.pf-m-secondary:not(:disabled):active, .pf-v5-c-button.pf-m-secondary:not(:disabled):focus {
    background-color: transparent;
    color: var(--color-primary-hover);
    border-color: var(--color-primary-hover);
    box-shadow: none;
    text-decoration: underline;
}



.kc-login-tooltip {
    position: relative;
    display: inline-block;
}

.kc-login-tooltip .kc-tooltip-text{
    bottom: 125%;
    left: 50%;
    transform: translateX(-50%);
    visibility: hidden;
    font-size: 0.875rem;
    text-align: center;
    position: absolute;
    opacity: 0;
    transition: opacity 0.3s;
    z-index: 1000;
    white-space: nowrap;
}

/* Show tooltip */
.kc-login-tooltip:hover .kc-tooltip-text {
    visibility: visible;
    opacity: 1;
}
